<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>25.6. Other Graphical User Interface Packages &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="25. Graphical User Interfaces with Tk" href="tk.html" />
    <link rel="next" title="26. Development Tools" href="development.html" />
    <link rel="prev" title="25.5. IDLE" href="idle.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="development.html" title="26. Development Tools"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="idle.html" title="25.5. IDLE"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="tk.html" accesskey="U">25. Graphical User Interfaces with Tk</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="other-graphical-user-interface-packages">
<span id="other-gui-packages"></span><h1>25.6. Other Graphical User Interface Packages<a class="headerlink" href="#other-graphical-user-interface-packages" title="Permalink to this headline">¶</a></h1>
<p>Major cross-platform (Windows, Mac OS X, Unix-like) GUI toolkits are
available for Python:</p>
<div class="admonition seealso">
<p class="first admonition-title">See also</p>
<dl class="last docutils">
<dt><a class="reference external" href="https://live.gnome.org/PyGObject">PyGObject</a></dt>
<dd><p class="first">provides introspection bindings for C libraries using
<a class="reference external" href="https://developer.gnome.org/gobject/stable/">GObject</a>.  One of
these libraries is the <a class="reference external" href="http://www.gtk.org/">GTK+ 3</a> widget set.
GTK+ comes with many more widgets than Tkinter provides.  An online
<a class="reference external" href="http://python-gtk-3-tutorial.readthedocs.org/en/latest/">Python GTK+ 3 Tutorial</a>
is available.</p>
<p class="last"><a class="reference external" href="http://www.pygtk.org/">PyGTK</a> provides bindings for an older version
of the library, GTK+ 2.  It provides an object oriented interface that
is slightly higher level than the C one.  There are also bindings to
<a class="reference external" href="http://www.gnome.org">GNOME</a>.  An online <a class="reference external" href="http://www.pygtk.org/pygtk2tutorial/index.html">tutorial</a> is available.</p>
</dd>
<dt><a class="reference external" href="http://www.riverbankcomputing.co.uk/software/pyqt/intro">PyQt</a></dt>
<dd>PyQt is a <strong class="program">sip</strong>-wrapped binding to the Qt toolkit.  Qt is an
extensive C++ GUI application development framework that is
available for Unix, Windows and Mac OS X. <strong class="program">sip</strong> is a tool
for generating bindings for C++ libraries as Python classes, and
is specifically designed for Python. The <em>PyQt3</em> bindings have a
book, <a class="reference external" href="http://www.commandprompt.com/community/pyqt/">GUI Programming with Python: QT Edition</a> by Boudewijn
Rempt. The <em>PyQt4</em> bindings also have a book, <a class="reference external" href="http://www.qtrac.eu/pyqtbook.html">Rapid GUI Programming
with Python and Qt</a>, by Mark
Summerfield.</dd>
<dt><a class="reference external" href="http://qt-project.org/wiki/PySide">PySide</a></dt>
<dd>is a newer binding to the Qt toolkit, provided by Nokia.
Compared to PyQt, its licensing scheme is friendlier to non-open source
applications.</dd>
<dt><a class="reference external" href="http://www.wxpython.org">wxPython</a></dt>
<dd>wxPython is a cross-platform GUI toolkit for Python that is built around
the popular <a class="reference external" href="http://www.wxwidgets.org/">wxWidgets</a> (formerly wxWindows)
C++ toolkit.  It provides a native look and feel for applications on
Windows, Mac OS X, and Unix systems by using each platform&#8217;s native
widgets where ever possible, (GTK+ on Unix-like systems).  In addition to
an extensive set of widgets, wxPython provides classes for online
documentation and context sensitive help, printing, HTML viewing,
low-level device context drawing, drag and drop, system clipboard access,
an XML-based resource format and more, including an ever growing library
of user-contributed modules.  wxPython has a book, <a class="reference external" href="http://www.manning.com/rappin/">wxPython in Action</a>, by Noel Rappin and
Robin Dunn.</dd>
</dl>
</div>
<p>PyGTK, PyQt, and wxPython, all have a modern look and feel and more
widgets than Tkinter. In addition, there are many other GUI toolkits for
Python, both cross-platform, and platform-specific. See the <a class="reference external" href="https://wiki.python.org/moin/GuiProgramming">GUI Programming</a> page in the Python Wiki for a
much more complete list, and also for links to documents where the
different GUI toolkits are compared.</p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="idle.html"
                        title="previous chapter">25.5. IDLE</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="development.html"
                        title="next chapter">26. Development Tools</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/othergui.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="development.html" title="26. Development Tools"
             >next</a> |</li>
        <li class="right" >
          <a href="idle.html" title="25.5. IDLE"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="tk.html" >25. Graphical User Interfaces with Tk</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>